## libgda3 3.1.15-maemo0

=== debian/changelog ===
libgda3 (3.1.15-maemo0) unstable; urgency=low

  * New version and adapted for maemo

 -- Johannes Schmid <johannes.schmid@openismus.com>  Mon, 18 Aug 2008 09:56:01 +0200

libgda3 (3.0.2-2ubuntu1) hardy; urgency=low

  * Fix FTBFS on ia64 (LP: #208833)
    - debian/patches/02_libgda3-ia64-segv.patch 

 -- Christopher Brotherton <chris@protonlab.net>  Sat, 29 Mar 2008 08:34:16 -0600

libgda3 (3.0.2-2) unstable; urgency=medium

  * Promote gtk-doc-tools and sgmltools-lite from build-dep-indep to build-dep
    as --enable-gtk-doc is passed unconditionally for all builds;
    closes: #466431.

 -- Loic Minier <lool@dooz.org>  Tue, 04 Mar 2008 12:50:23 +0100

libgda3 (3.0.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    - Add utils.mk cdbs rules to make list-missing target work
    - Explictly disable plugins which aren't packaged
    - Set --as-needed flag to prevent links against uneeded libs
  * debian/control.in:
    - Update standards-version to 3.7.3 -- no changes required
    - Added the Vcs-* fields
    - Allow uploads by DMs
  * Fix FTBFS if building twice in a row (closes: #442634)
    - debian/control.in: Build-depend on flex
    - debian/rules: Remove files generated by flex and bison on clean
  * debian/patches/01_gds_info_new_remove.patch:
    Remove gda_data_source_info_new prototype from gda-config.h.
    Backported from upstream svn (closes: #457704)

 -- Gustavo R. Montesino <grmontesino@ig.com.br>  Sun, 03 Feb 2008 22:40:13 -0200

libgda3 (3.0.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Fix description of the -dbg package.

  [ Gustavo R. Montesino ]
  * New upstream release
  * patches/01_missing_man.patch: removed - applied upstream
  * patches/02_missing_include.patch: removed - applied upstream
  * Build-depend on bison. (closes: #424520)

 -- Loic Minier <lool@dooz.org>  Fri, 25 May 2007 20:50:58 +0200

libgda3 (3.0.0-1) unstable; urgency=low


  [ Gustavo R. Montesino ]
  * New major upstream release.
    - debian/libgda3-3.install: Some libraries were removed/merged.
    - libgda3-dev.install, $(plugin).install: Install the new pkgconfig
      files to test the installed plugions in the plugin packages.
  * debian/rules: Build with unresolved symbol checking (-z defs).
  * debian/patches/01_missing_man.patch: Fix missing manpages in upstream's
    tarball.
  * debian/patches/02_missing_include.patch: Fix potential segfault on 64 bit
    architetures due to missing include; thanks Dann Frazier. (closes: #420677)

  [ Loic Minier ]
  * Wrap build-deps and deps.
  * DISABLE_UPDATE_UPLOADERS and build-depend on gnome-pkg-tools >= 0.11.
  * Drop useless @VERSION@ substitution.
  * Cleanups.
  * Don't export LDFLAGS.
  * Fix watch file to track all stable versions and use HTTP.
  * Use the gnome.org full URL in copyright.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Mon, 30 Apr 2007 11:07:59 +0200

libgda3 (2.99.5-1) unstable; urgency=low

  [ Gustavo R. Montesino ]
  * New major upstream beta version.
  * Use a libgda3-3.install file instead of installing the files in the rules.
  * Merge changes from libgda2/1.2.3-5 from unstable:
    - rules: Really exclude providers from dh_makeshlibs.
    - control.in: Fix depends to allow binNMU's.
    - libgda3-doc.{install,links}, libgda3-doc.doc-base.libgda3-reference:
      Install the html API documentation in /usr/share/gtk-doc/html, with
      symlink in /usr/share/doc/libgda3-doc/.
  * debian/rules: Don't override CDBS-defined LDFLAGS.
  * debian/watch: update

  [ Loic Minier ]
  * Start merging libgda2/1.2.3-4 from unstable up to r8241.
  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * Finish merging libgda2/1.2.3-4 from unstable up to r8421.
  * Upload to unstable; drop check-dist include.

 -- Loic Minier <lool@dooz.org>  Wed, 14 Mar 2007 16:27:53 +0100

libgda2 (1.2.3-4) unstable; urgency=low

  * Fix typo in package description; thanks A. Costa; closes: #405645.
  * Add a get-orig-source target to retrieve the upstream tarball.

 -- Loic Minier <lool@dooz.org>  Sun, 14 Jan 2007 00:06:52 +0100

libgda2 (1.2.3-3) unstable; urgency=low

  * debian/patches/003_freetds_database_segfault.patch: Fix FreeTDS provider
    segfault when DSN contains DATABASE, thanks to Gert-jan Los
    (closes: #382178)
  * debian/patches/004_const_void_fix.patch: Remove ignored const from
    gpointer return, fix gcc 4 warning. (Closes: #387591)

 -- Gustavo R. Montesino <grmontesino@ig.com.br>  Sat, 21 Oct 2006 07:25:48 -0300

libgda2 (1.2.3-2) unstable; urgency=low

  * Add missing "shell" function name in ${pg_config --includedir} expansion.
    [debian/rules]

 -- Loic Minier <lool@dooz.org>  Sun,  4 Jun 2006 17:15:20 +0200

libgda2 (1.2.3-1) unstable; urgency=low

  * Acknowledge NMU (Closes: #355551).
  * New upstream release.
  * debian/patches:
    - 001_freetds_063.patch: Adapted, most of it was merged in upstream
      codebase.
    - 003_format_string.patch: Removed - Merged upstream.
  * debian/copyright: Changed the FSF address.
  * debian/control.in:
    - Changed the dependency of libgda2-common on libgda2-<soname> to
      recommends (Closes: #354996).
    - Added a new libgda2-bin package.
    - Change libgda2-common arch from any to all
    - Update to the lastest debian policy - no changes required.
    - Add ${misc:Depends} to all Depends: lines
    - Remove libgda2-dev dependency against pkg-config
    - Remove useless versioning from suggested packages
    - Make the package binNMU-safe
      + build-depend on dpkg-dev (>= 1.13.19)
      + Use ${source:Version} instead of ${Source-Version}
  * debian/rules:
    - Don't call ldconfig on maintainer scripts of plugin packages
    - Put the binaries and its man pages into libgda2-bin
  * debian/rules, *.{install,manpages,links}:

