=== debian/control ===
Source: libgda3
Section: libs
Priority: optional
Maintainer: Johannes Schmid <johannes.schmid@openismus.com>
Build-Depends: bison,
               cdbs (>= 0.4.41),
               debhelper (>= 5),
               dpkg-dev (>= 1.13.19),
               gnome-pkg-tools,
               intltool,
               pkg-config,
               libglib2.0-dev (>= 2.4.1-2),
               libxml2-dev (>= 2.4.22),
               libxslt1-dev (>= 1.0.18),
               libpq-dev,
               libsqlite3-dev,
               libgdbm-dev,
               libreadline5-dev,
               libpopt-dev,
               zlib1g-dev,
               flex,
               gtk-doc-tools,
               sgmltools-lite
Standards-Version: 3.7.3

Package: libgda3-3
Section: libs
Architecture: any
Depends: libgda3-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: libgda3-bin
Suggests: libgda3-postgres,
          libgda3-sqlite,
Conflicts: libgda2-1
Replaces: libgda2-1
Description: GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains the shared libraries.

Package: libgda3-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgda-common (<< 0.2.96-6.2)
Replaces: libgda-common (<< 0.2.96-6.2)
Description: Binary files for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains binary files for libgda3.


Package: libgda3-common
Section: misc
Architecture: all
Recommends: libgda3-3
Conflicts: libgda-common (<< 0.2.96-6.2)
Replaces: libgda-common (<< 0.2.96-6.2)
Description: Common files for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains common files for libgda3.

Package: libgda3-dev
Section: libdevel
Architecture: any
Depends: libgda3-3 (= ${binary:Version}),
         libglib2.0-dev (>= 2.2.0),
         libxslt1-dev,
         ${misc:Depends}
Suggests: libgda3-doc
Description: Development files for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains the header files and libraries which
 you need for development.

Package: libgda3-3-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgda3-3 (= ${binary:Version}),
         ${misc:Depends}
Description: GDA3 library and debugging symbols
 GDA is GNOME Data Access.
 .
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

Package: libgda3-doc
Section: doc
Architecture: all
Depends: lynx | www-browser,
         ${misc:Depends}
Conflicts: libgda-doc
Description: Documentation files for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains some document files about libgda3.

Package: libgda3-postgres
Section: gnome
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PostgreSQL backend plugin for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains PostgreSQL backend plugin. You need to install this
 package, if you want to use libgda3 with PostgreSQL.

Package: libgda3-sqlite
Section: gnome
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SQLite backend plugin for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains SQLite backend plugin. You need to install this
 package, if you want to use libgda3 with SQLite.
