## libgda3 3.1.15-maemo1

=== debian/changelog ===
libgda3 (3.1.15-maemo1) unstable; urgency=low

  * Added some -dev dependencies to keep maemo-extras-builder happy

 -- Johannes Schmid <johannes.schmid@openismus.com>  Thu, 28 Aug 2008 14:21:43 +0200
