## libgda3 3.1.15-maemo2

=== debian/changelog ===
libgda3 (3.1.15-maemo2) unstable; urgency=low

  * Really added the correct dependency...

 -- Johannes Schmid <johannes.schmid@openismus.com>  Fri, 29 Aug 2008 12:03:40 +0200
