=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                zlib1g-dev,
                flex,
                gtk-doc-tools,
+               libgcrypt11,
                sgmltools-lite
 Standards-Version: 3.7.3
 
@@ -87,6 +88,7 @@
 Depends: libgda3-3 (= ${binary:Version}),
          libglib2.0-dev (>= 2.2.0),
          libxslt1-dev,
+	 libsqlite3-dev,
          ${misc:Depends}
 Suggests: libgda3-doc
 Description: Development files for GNOME Data Access library for GNOME2
